commit 0e19dc858234a872e1e719fa05d4c7ccf6a2c483
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Mon Aug 16 21:42:54 2021

    libstdc++: Only define basic_string::contains for C++23
    
    The new contains member of the COW string is defined for non-strict
    gnu++20 mode as well as for C++23 modes. I think that was left in the
    committed patch unintentionally. It is inconsistent with the SSO string,
    and doesn't actually compile because it uses the
    basic_string_view::contains member which only defined for C++23.
    
    This makes it only defined for C++23.
    
    Signed-off-by: Jonathan Wakely <jwakely@redhat.com>
    
    libstdc++-v3/ChangeLog:
    
            * include/bits/basic_string.h (basic_string::contains): Do not
            define for -std=gnu++20.
    
    (cherry picked from commit 3b3f2f7c265ef9f176cb811a8049b24538d954d9)

diff --git a/libstdc++-v3/include/bits/basic_string.h b/libstdc++-v3/include/bits/basic_string.h
index 037040740ab..5d09f774e03 100644
--- a/libstdc++-v3/include/bits/basic_string.h
+++ b/libstdc++-v3/include/bits/basic_string.h
@@ -6024,8 +6024,7 @@ _GLIBCXX_END_NAMESPACE_CXX11
       { return __sv_type(this->data(), this->size()).ends_with(__x); }
 #endif // C++20
 
-#if __cplusplus >= 202011L \
-  || (__cplusplus == 202002L && !defined __STRICT_ANSI__)
+#if __cplusplus > 202011L
       bool
       contains(basic_string_view<_CharT, _Traits> __x) const noexcept
       { return __sv_type(this->data(), this->size()).contains(__x); }

